# Type Alias ExternalAppType

type ExternalAppType = {
accessRight: number;
accessRightSelector: string[];
color?: string;
customImageUri?: string;
description: string;
icon?: string;
id: string;
label: string;
mode: string;
url: string;
urlNoReferrer?: boolean;
urlTarget?: boolean;
}

- Defined in jamespot-user-api/src/types/externalApp.ts:1

##### Index

### Properties

accessRight
accessRightSelector
color?
customImageUri?
description
icon?
id
label
mode
url
urlNoReferrer?
urlTarget?

## Properties

### accessRight

accessRight: number

- Defined in jamespot-user-api/src/types/externalApp.ts:11

### accessRightSelector

accessRightSelector: string[]

- Defined in jamespot-user-api/src/types/externalApp.ts:12

### `Optional` color

color?: string

- Defined in jamespot-user-api/src/types/externalApp.ts:6

### `Optional` customImageUri

customImageUri?: string

- Defined in jamespot-user-api/src/types/externalApp.ts:13

### description

description: string

- Defined in jamespot-user-api/src/types/externalApp.ts:4

### `Optional` icon

icon?: string

- Defined in jamespot-user-api/src/types/externalApp.ts:5

### id

id: string

- Defined in jamespot-user-api/src/types/externalApp.ts:2

### label

label: string

- Defined in jamespot-user-api/src/types/externalApp.ts:3

### mode

mode: string

- Defined in jamespot-user-api/src/types/externalApp.ts:7

### url

url: string

- Defined in jamespot-user-api/src/types/externalApp.ts:8

### `Optional` urlNoReferrer

urlNoReferrer?: boolean

- Defined in jamespot-user-api/src/types/externalApp.ts:10

### `Optional` urlTarget

urlTarget?: boolean

- Defined in jamespot-user-api/src/types/externalApp.ts:9